﻿using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LiveTools.RuleItem
{
    interface IRule
    {
        int ID { get; set; }
        string RuleID { get; }
        void LoadSetting(JObject jo);
        JObject SettingJson();
        void Run(EffectInfo info, JObject jo);
        bool CheckVerification();
    }
}
